package com.tutego.insel.game.vj;

class CloseOperation implements GameOperation
{
  static CloseOperation instace = new CloseOperation();

  @Override public String getName()
  {
    return "schließt";
  }

  @Override public String apply( GameObject go1, GameObject go2 )
  {
    if ( go1 instanceof Key && go2 instanceof Door )
    {
      ((Door) go2).isOpen = false;
      return "Schlüssel schloss Tür.";
    }
    return "Konnte Objekt nicht schließen!";
  }
}
